Low-level API

## Functions

std::string | clutchlog::replace (const std::string &form, const std::string &mark, const std::string &tag) const
| Replace `mark` by `tag` in `form`. More...
std::string | clutchlog::replace (const std::string &form, const std::string &mark, const size_t tag) const
| Replace `mark` by `tag` in `form`, converting tag to its string representation first.
std::string | clutchlog::format (std::string format, const std::string &what, const level &stage, const std::string &file, const std::string &func, const size_t line) const
| Substitute all tags in the format string with the corresponding information and apply the style corresponding to the log level.
void | clutchlog::log (const level &stage, const std::string &what, const std::string &file, const std::string &func, size_t line) const
| Print a log message IF the location matches the given one.
template<class In >
void | clutchlog::dump (const level &stage, const In container_begin, const In container_end, const std::string &file, const std::string &func, size_t line, const std::string &filename_template="dump_{n}.dat", const std::string sep=CLUTCHDUMP_DEFAULT_SEP) const
| Dump a serializable container after a comment line with log information.

## Detailed Description

## Function Documentation

## replace()

std::string clutchlog::replace | ( | const std::string & | form,
|  | const std::string & | mark,
|  | const std::string & | tag
| ) |  | const

inline

Replace `mark` by `tag` in `form`.

log.replace("{greet} {world}", "\\{greet\\}", "hello");
// returns "hello {world}"